libcgi-session-serialize-yaml-perl_4.26-1_all.deb


Advertisement

Description

libcgi-session-serialize-yaml-perl - YAML and YAML::Syck support for CGI::Session's serializers

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libcgi-session-serialize-yaml-perl
Package version: 4.26
Package release: 1
Package architecture: all
Package type: deb
Installed size: 68 B
Download size: 7.20 KB
Official Mirror: ftp.br.debian.org
CGI::Session::Serialize::yaml can be used by CGI::Session to serialize session data. It uses YAML, or the faster C implementation, YAML::Syck if it is available. YAML serializers exist not just for Perl but also other dynamic languages, such as PHP, Python, and Ruby, so storing session data in this format makes it easy to share session data across different languages. YAML is made to be friendly for humans to parse as well as other computer languages. It creates a format that is easier to read than the default serializer.

Replaces

  • libcgi-session-perl << 4.30

    Download

    Source package: libcgi-session-serialize-yaml-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libcgi-session-serialize-yaml-perl deb package:
      # sudo apt-get install libcgi-session-serialize-yaml-perl

    Files

    • /usr/share/doc/libcgi-session-serialize-yaml-perl/changelog.Debian.gz
    • /usr/share/doc/libcgi-session-serialize-yaml-perl/changelog.gz
    • /usr/share/doc/libcgi-session-serialize-yaml-perl/copyright
    • /usr/share/man/man3/CGI::Session::Serialize::yaml.3pm.gz
    • /usr/share/perl5/CGI/Session/Serialize/yaml.pm

    Changelog

    2010-09-05 - Nicholas Bamber <nicholas@periapt.co.uk> libcgi-session-serialize-yaml-perl (4.26-1) unstable; urgency=low [ gregor herrmann ] * Set Standards-Version to 3.9.1; replace Conflicts with Breaks. [ Nicholas Bamber ] * New upstream release * Added debian/source/format * Updated debian/rules * Added myself to Uploaders * Refreshed copyright and control

    2009-07-15 - gregor herrmann <gregoa@debian.org> libcgi-session-serialize-yaml-perl (4.24-2) unstable; urgency=low [ gregor herrmann ] * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field (source stanza). [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ gregor herrmann ] * Add missing comma to Depends, thanks to Lucas Nussbaum for the bug report (closes: #536993). * Set Standards-Version to 3.8.2 (no changes). * Add /me to Uploaders.

    2008-11-07 - Jose Luis Rivas <ghostbar38@gmail.com> libcgi-session-serialize-yaml-perl (4.24-1) unstable; urgency=low [ Jose Luis Rivas ] * New upstream release * debian/control: requires libcgi-session-perl >= 4.30. * debian/control: added me as uploader. [ gregor herrmann ] * Remove empty debian/patches/{,series} and build dependency on quilt. * Don't install README any more (text version of the POD documentation). * debian/copyright: switch to new format. * Set debhelper compatibility level to 7; adapt debian/{control,compat,rules}. * debian/control: - slightly rephrase short description and add module name to long description - remove build dependency on libmodule-build-perl, debhelper 7 prefers MakeMaker

    2008-07-31 - Vincent Danjean <vdanjean@debian.org> libcgi-session-serialize-yaml-perl (4.21-1) unstable; urgency=low * Initial Release. ITP Closes: #484556

    Advertisement
    Advertisement